Bug 114620 - [patch] ldconfig barfs in trigger script
[patch] ldconfig barfs in trigger script
Product: Fedora
Classification: Fedora
Component: cracklib (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2004-01-30 05:41 EST by Nils Philippsen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4-25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-30 11:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to the spec file correcting the trigger script (508 bytes, patch)
2004-01-30 05:43 EST, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Nils Philippsen 2004-01-30 05:41:19 EST
Description of problem:

ldconfig in the trigger script barfs on RPM passing it the $1 parameter

Version-Release number of selected component (if applicable):


How reproducible:

When upgrading from a smaller version to this one.

Steps to Reproduce:
1. Upgrade from a smaller version of cracklib to this one.
Actual results:

ldconfig complains about a relative path "2" passed to it -- this is
the $1 parameter RPM passes to pre/post/trigger scripts

Expected results:

no error, ldconfig running flawlessly

Additional info:

will attach patch to spec file
Comment 1 Nils Philippsen 2004-01-30 05:43:09 EST
Created attachment 97365 [details]
patch to the spec file correcting the trigger script
Comment 2 Matthias Saou 2004-09-01 08:25:13 EDT
Just wondering : What is this trigger useful for? From what I
understand, it will run /sbin/ldconfig when cracklib < 2.7-24 is
uninstalled, which means when upgrading from cracklib < 2.7-24 since
this is from a more recent cracklib package... but this cracklib
package has /sbin/ldconfig calls in %post and %postun...
I would understand its usefulness if the last /sbin/ldconfig call done
during the upgrade from the various %pre*/%post* scriplets was made
while files of the older package were still installed, but that isn't
the case if the older package had /sbin/ldconfig in its %postun, or is
it exactly that it's lacking?

Note You need to log in before you can comment on or make changes to this bug.